logging_domain_tests.c File Reference
`#include "logging_domain.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`
`#include <fcntl.h>`
`#include <glib/gstdio.h>`

## Functions

| Describe (logging_domain)
| BeforeEach (logging_domain)
| AfterEach (logging_domain)
| Ensure (logging_domain, should_initalize_logging_domain)
| Ensure (logging_domain, should_allow_setting_properties)
static TestSuite * | logging_test_suite ()
int | main (int argc, char **argv)

## Function Documentation

## AfterEach()

AfterEach | ( | logging_domain |  | ) |

## BeforeEach()

BeforeEach | ( | logging_domain |  | ) |

## Describe()

Describe | ( | logging_domain |  | ) |

## Ensure() [1/2]

Ensure | ( | logging_domain | ,
|  | should_allow_setting_properties | )

## Ensure() [2/2]

Ensure | ( | logging_domain | ,
|  | should_initalize_logging_domain | )

## logging_test_suite()

TestSuite * logging_test_suite | ( |  | ) |

static

## main()

int main | ( | int | argc,
|  | char ** | argv )